Subject: Re: [PATCH] backlight: add led-backlight driver

From: Tony Lindgren <[email-masked]>
Date: Thu, 20 Feb 2020 07:09:01 -0800

* Lee Jones <[email-masked]> [200220 07:49]:
> On Wed, 19 Feb 2020, Tony Lindgren wrote:
> 
> > * Pavel Machek <[email-masked]> [200219 19:15]:
> > > From: Tomi Valkeinen <[email-masked]>
> > > 
> > > This patch adds a led-backlight driver (led_bl), which is similar to
> > > pwm_bl except the driver uses a LED class driver to adjust the
> > > brightness in the HW. Multiple LEDs can be used for a single backlight.
> > > 
> > > Signed-off-by: Tomi Valkeinen <[email-masked]>
> > > Signed-off-by: Jean-Jacques Hiblot <[email-masked]>
> > > Acked-by: Pavel Machek <[email-masked]>
> > > Reviewed-by: Daniel Thompson <[email-masked]>
> > > Acked-by: Lee Jones <[email-masked]>
> > > Acked-by: Tony Lindgren <[email-masked]>
> > > Tested-by: Tony Lindgren <[email-masked]>
> > > Signed-off-by: Pavel Machek <[email-masked]>
> > > ---
> > >  drivers/video/backlight/Kconfig  |   7 ++
> > >  drivers/video/backlight/Makefile |   1 +
> > >  drivers/video/backlight/led_bl.c | 260 +++++++++++++++++++++++++++++++++++++++
> > >  3 files changed, 268 insertions(+)
> > >  create mode 100644 drivers/video/backlight/led_bl.c
> > > 
> > > Hi!
> > > 
> > > Here's the version of the driver I have. AFAICT
> > > default-brightness-level handling is ok, so does not need to be
> > > changed.
> > > 
> > > Lee, it would be easiest for me if you could apply it to your tree and
> > > push, but given enough time I can push it to Linus, too.
> > 
> > Oh you're using quoted-printable for patches.. Got it applied now,
> > and it still works. Below is also the related dts change that
> > I tested with.
> > 
> > Feel free to pick the dts change too, naturally that should
> > not be applied before the driver.
> > 
> > If you guys instead want me to pick these both into my fixes
> > branch, just let me know and I'll do the explaining why these
> > are needed as fixes. Basically we no longer have a way to enable
> > the LCD backlight for droid4 manually starting with v5.6-rc1
> > unlike earlier.
> 
> Please do.  You already have my Ack.

OK pushed out these two patches in omap-for-v5.6/droid4-lcd-fix.

Thanks,

Tony

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel